<?php
/**
 * @package ats
 * @copyright Copyright (c)2011-2013 Nicholas K. Dionysopoulos / AkeebaBackup.com
 * @license GNU GPL v3 or later
 */

// No direct access
defined('_JEXEC') or die;

$params = JComponentHelper::getParams('com_ats');

if($params->get('userfeedback', 0))
{
    FOFTemplateUtils::addCSS('admin://components/com_ats/assets/datatables/css/datatables.css');
    AkeebaStrapper::addJSfile('admin://components/com_ats/assets/datatables/js/datatables.min.js');
    AkeebaStrapper::addJSfile('admin://components/com_ats/assets/datatables/js/paging.js');
}

FOFTemplateUtils::addCSS('media://com_ats/css/backend.css?'.ATS_VERSIONHASH);
FOFTemplateUtils::addCSS('media://com_ats/css/jquery.jqplot.min.css');

AkeebaStrapper::addJSfile('media://com_ats/js/excanvas.min.js');
AkeebaStrapper::addJSfile('media://com_ats/js/jquery.jqplot.min.js');
AkeebaStrapper::addJSfile('media://com_ats/js/jqplot.highlighter.min.js');
AkeebaStrapper::addJSfile('media://com_ats/js/jqplot.dateAxisRenderer.min.js');
AkeebaStrapper::addJSfile('media://com_ats/js/jqplot.barRenderer.min.js');
AkeebaStrapper::addJSfile('media://com_ats/js/jqplot.hermite.js');

if(!class_exists('LiveUpdate')) {
	require_once JPATH_ADMINISTRATOR.'/components/com_ats/liveupdate/liveupdate.php';
}
?>

<?php if ($this->needsdlid): ?>
<div class="alert alert-error">
	<a class="close" data-dismiss="alert" href="#">×</a>
	<?php echo JText::sprintf('COM_ATS_CPANEL_MSG_NEEDSDLID','https://www.akeebabackup.com/instructions/1519-akeeba-ticket-system-download-id.html'); ?>
</div>
<?php endif;?>

<div class="row-fluid">
	<div class="span6" id="cpanel">
		<h2><?php echo JText::_('COM_ATS_CPANEL_TICKETS')?></h2>
		<div id="akticketschart">
			<img id="akthrobber" src="<?php echo FOFTemplateUtils::parsePath('media://com_ats/images/throbber.gif')?>" id="akthrobber" />
			<p id="aknodata" style="display:none">
				<?php echo JText::_('COM_ATS_CPANEL_STATS_NODATA')?>
			</p>
		</div>

    <?php if($params->get('userfeedback', 0) && ATS_PRO):

            $interval['week']  = '7 days';
            $interval['month'] = '30 days';
            $interval['year']  = '365 days';
            $interval['all']   = -1;

            $ratings = FOFModel::getTmpInstance('Tickets', 'AtsModel')
                        ->getRatings($interval);
        ?>
        <div style="margin-top:20px">
            <table cellpadding="0" cellspacing="0" border="0" class="table table-striped table-bordered" id="userfeedback">
                <thead>
                    <tr>
                        <th><?php echo JText::_('JGLOBAL_USERNAME') ?></th>
                        <th style="width: 15%"><?php echo JText::_('COM_ATS_CPANEL_RATING_LAST7DAYS') ?></th>
                        <th style="width: 15%"><?php echo JText::_('COM_ATS_CPANEL_RATING_LAST30DAYS') ?></th>
                        <th style="width: 15%"><?php echo JText::_('COM_ATS_CPANEL_RATING_LAST365DAYS') ?></th>
                        <th style="width: 15%"><?php echo JText::_('COM_ATS_CPANEL_RATING_OVERALL') ?></th>
                    </tr>
                </thead>
                <tbody>
                <?php foreach($ratings as $rating):?>
                    <tr>
                        <td><?php echo $rating['user']?></td>
                        <td><?php echo isset($rating['week'])  ? $rating['week']  : 0 ?></td>
                        <td><?php echo isset($rating['month']) ? $rating['month'] : 0 ?></td>
                        <td><?php echo isset($rating['year'])  ? $rating['year']  : 0 ?></td>
                        <td><?php echo isset($rating['all'])   ? $rating['all']   : 0 ?></td>
                    </tr>
                <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    <?php endif; ?>
	</div>

	<div class="span6">
		<h3><?php echo JText::_('COM_ATS_CPANEL_STATS')?></h3>
		<table width="100%" class="table table-striped">
			<thead>
				<tr>
					<th>&nbsp;</th>
					<th><?php echo JText::_('COM_ATS_TICKETS_STATUS_O') ?></th>
					<th><?php echo JText::_('COM_ATS_TICKETS_STATUS_P') ?></th>
					<th><?php echo JText::_('COM_ATS_TICKETS_STATUS_C') ?></th>
					<th><?php echo JText::_('COM_ATS_TICKETS_STATUS_TOTAL') ?></th>
				</tr>
			</thead>
			<tbody>
				<tr class="row0">
					<th><?php echo JText::_('COM_ATS_TICKETS_PUBLIC_PUBLIC') ?></th>
					<td>
						<a href="index.php?option=com_ats&view=tickets&status=O&public=1&enabled=1">
						<?php
							$public_open = FOFModel::getTmpInstance('Tickets','AtsModel')
								->savestate(0)
								->status('O')
								->public(1)
								->enabled(1)
								->getTotal();
							echo $public_open;
						?>
						</a>
					</td>
					<td>
						<a href="index.php?option=com_ats&view=tickets&status=P&public=1&enabled=1">
						<?php
							$public_pending = FOFModel::getTmpInstance('Tickets','AtsModel')
								->savestate(0)
								->status('P,1,2,3,4,5,6,7,8,9')
								->public(1)
								->enabled(1)
								->getTotal();
							echo $public_pending;
						?>
						</a>
					</td>
					<td>
						<a href="index.php?option=com_ats&view=tickets&status=C&public=1&enabled=1">
						<?php
							$public_closed = FOFModel::getTmpInstance('Tickets','AtsModel')
								->savestate(0)
								->status('C')
								->public(1)
								->enabled(1)
								->getTotal();
							echo $public_closed;
						?>
						</a>
					</td>
					<th>
						<a href="index.php?option=com_ats&view=tickets&status=&public=1&enabled=1">
						<?php
							echo $public_open + $public_closed + $public_pending;
						?>
						</a>
					</th>
				</tr>
				<tr class="row1">
					<th><?php echo JText::_('COM_ATS_TICKETS_PUBLIC_PRIVATE') ?></th>
					<td>
						<a href="index.php?option=com_ats&view=tickets&status=O&public=0&enabled=1">
						<?php
							$private_open = FOFModel::getTmpInstance('Tickets','AtsModel')
								->savestate(0)
								->status('O')
								->public(0)
								->enabled(1)
								->getTotal();
							echo $private_open;
						?>
						</a>
					</td>
					<td>
						<a href="index.php?option=com_ats&view=tickets&status=P&public=0&enabled=1">
						<?php
							$private_pending = FOFModel::getTmpInstance('Tickets','AtsModel')
								->savestate(0)
								->status('P,1,2,3,4,5,6,7,8,9')
								->public(0)
								->enabled(1)
								->getTotal();
							echo $private_pending;
						?>
						</a>
					</td>
					<td>
						<a href="index.php?option=com_ats&view=tickets&status=C&public=0&enabled=1">
						<?php
							$private_closed = FOFModel::getTmpInstance('Tickets','AtsModel')
								->savestate(0)
								->status('C')
								->public(0)
								->enabled(1)
								->getTotal();
							echo $private_closed;
						?>
						</a>
					</td>
					<th>
						<a href="index.php?option=com_ats&view=tickets&status=&public=0&enabled=1">
						<?php
							echo $private_open +$private_closed + $private_pending;
						?>
						</a>
					</th>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<th><?php echo JText::_('COM_ATS_TICKETS_STATUS_TOTAL') ?></th>
					<td>
						<a href="index.php?option=com_ats&view=tickets&status=O&public=&enabled=1">
						<?php echo $public_open + $private_open ?>
						</a>
					</td>
					<td>
						<a href="index.php?option=com_ats&view=tickets&status=P&public=&enabled=1">
						<?php echo $public_pending + $private_pending ?>
						</a>
					</td>
					<td>
						<a href="index.php?option=com_ats&view=tickets&status=C&public=&enabled=1">
						<?php echo $public_closed + $private_closed ?>
						</a>
					</td>
					<td>
						<a href="index.php?option=com_ats&view=tickets&status=&public=&enabled=1">
						<?php echo $public_open + $private_open + $public_pending + $private_pending + $public_closed + $private_closed ?>
						</a>
					</td>
				</tr>
			</tfoot>
		</table>

		<div id="cpanel">
		<?php echo LiveUpdate::getIcon(); ?>
		</div>
	</div>
</div>


<?php $xday = gmdate('Y-m-d', time() - 30 * 24 * 3600); ?>
<script type="text/javascript">
var ticketPoints = [];
var postsPoints = [];
var myMax = 0;
var myMax2 = 0;

(function($) {
	$(document).ready(function(){

    <?php if($params->get('userfeedback', 0) && ATS_PRO):?>
        $('#userfeedback').dataTable( {
            "sDom": "<'row'<'span6'l><'span6'f>r>t<'row'<'span6'i><'span6'p>>",
            "sPaginationType": "bootstrap"
        } );

        $.extend( $.fn.dataTableExt.oStdClasses, {
            "sWrapper": "dataTables_wrapper form-inline"
        } );
    <?php endif;?>

		var url = "index.php?option=com_ats&view=tickets&created_since=<?php echo $xday?>&enabled=1&groupbydate=1&public=&status=&format=json";
		$.jqplot.config.enablePlugins = true;
		$.getJSON(url, function(data){
			$.each(data, function(index, item){
				ticketPoints.push([item.date, item.tickets]);
				myMax = Math.max(myMax, item.tickets);
			});
			myMax++;
			if(ticketPoints.length == 0) {
				$('#akthrobber').hide();
				$('#aknodata').show();
				return;
			}

			url = "index.php?option=com_ats&view=posts&since=<?php echo $xday?>&enabled=1&groupbydate=1&public=&status=&format=json";
			$.getJSON(url, function(data){
				$.each(data, function(index, item){
					postsPoints.push([item.date, item.posts]);
					myMax2 = Math.max(myMax2, item.posts);
				});
				myMax2++;
				$('#akthrobber').hide();

				renderPlot();
			});
		});
	});

	function renderPlot()
	{
		plot1 = $.jqplot('akticketschart', [ticketPoints, postsPoints], {
			show: true,
			axes:{
				xaxis:{renderer:$.jqplot.DateAxisRenderer,tickInterval:'1 week'},
				yaxis:{min: 0, max: myMax, tickOptions:{formatString:'%u'}},
				y2axis:{min: 0, max: myMax2, tickOptions:{formatString:'%u'}}
			},
			series:[
				{
					yaxis: 'yaxis',
					xaxis: 'xaxis',
					//color: '#aae0aa',
					lineWidth:1,
					renderer:$.jqplot.BarRenderer,
					rendererOptions:{barPadding: 0, barMargin: 0, barWidth: 5, shadowDepth: 0, varyBarColor: 0},
					markerOptions: {
						style:'none'
					}
				},
				{
					yaxis: 'y2axis',
					xaxis: 'xaxis',
					lineWidth:3,
					markerOptions:{
						style:'filledCircle',
						size:8
					},
					renderer: $.jqplot.hermiteSplineRenderer,
					rendererOptions:{steps: 60, tension: 0.6}
				}
			],
			highlighter: {sizeAdjust: 7.5},
			axesDefaults:{useSeriesColor: true}
		});
	}
})(akeeba.jQuery);
</script>

<div style="clear: both;"></div>